Update contact of a borrower.
For callers lacking the person:read.pii permission the street-level fields (addressLine1, addressLine2, POBox) are returned as null; city, state, postal code, and country are retained.
All contacts are associated with one borrower. Sometimes the contact represents information about the borrower person themselves—e.g., the borrower's address. Sometimes the contact represents information about a person affiliated with the borrower.
self - denotes contact information about the borrower. All self contacts are considered to be first-party.
spouse, parent, guardian, executor, administrator, legal and otherRelative - are considered to be a third-party. Some regulations define these to be the consumer (aka the person) for purposes of debt collection efforts. This means that a debt collector may communicate about the debt with the consumer's spouse, parent (if the consumer is a minor), guardian, executor, or administrator (or with the attorney of any of these people).
Automated text messages (e.g. payment reminder) can only be sent to contactType=phone, label=personal and affiliation=self.
The type of contact.
phone and whatsApp should be provided in E.164 format.
email should be provided in aaa@bbb.com format.
address is the mailing address.
fbMessenger can be phone or email.
A lender's identifier for an object. After the object is successfully created, a lender can use ID or externalId identifiers to fetch the object.
To fetch the object using externalId you need to add ext- to the URL.
Note: Don't add ext- to the identifier value. For example: if the external identifier is ABCDE, then pass externalId=ACBCE and NOT ext-ABCDE when creating the object.
The contact label.
A person's mobile phone should be labeled as personal.
A person's home address should be labeled as home.
A servicemember's military unit or commander contact should be labeled as military.
Automated text messages (e.g. payment reminder) can only be sent to contactType=phone, label=personal and affiliation=self.
Full name of a third-party contact. Only applicable for third-party contacts, such as spouse, parent, etc.
Designated an individual with power of attorney. This attribute can only be set by agents upon receiving appropriate documents from the borrower or their attorney. This attribute is not applicable to contacts with affiliation self.
Describes the contact status as primary, secondary, additional or archived. Within a set of contacts with the same contactType and affilation only one primary and only one secondary contacts are allowed. There may be multiple additional and archived contacts.
If a new contact is created as primary and there is an existing primary contact with the same contactType and affilation, the status of the existing contact will be automatically changed to additional.
If a new contact is created as secondary and there is an existing secondary contact with the same contactType and affilation, the status of the existing contact will be automatically changed to additional.
Identifies a contact as valid or invalid. A contact can become invalid for multiple reasons, such as wrong format, invalid email domain, etc. This attribute can be changed by you or by Peach. If no value is provided, we will assume valid=true.
The value of a contact. This attribute should be used for all contact types except for address, which has dedicated attributes such as addressLine1, addressCity, etc. You should use either value or address attributes depending on the contact type. For example, +14155552671 for a contact type=phone. Or, john.smith@domain.com for a contact type=email. We'll validate the format based on the contact type.
For callers lacking the person:read.pii permission this value is redacted based on contactType: phone and whatsApp are masked to the last four digits (e.g. ********1234), email is masked (e.g. j***@example.com), and address and all other types are returned as null.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X PUT \
'https://sandboxapi.peach.finance/api/people/{personId}/contacts/{contactId}?confirmationCode=string&validate=true' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"address": {
"POBox": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"country": "string",
"countyOrRegion": "string",
"postalCode": "string",
"state": "strin"
},
"affiliation": "self",
"authorizedThirdParty": false,
"contactType": "phone",
"externalId": "string",
"label": "personal",
"name": "string",
"phoneDisconnectionDetails": {
"disconnectionStatus": "disconnected",
"lastDisconnectCheckDate": "2019-08-24",
"lastKnownConnectionDate": "2019-08-24"
},
"powerOfAttorney": false,
"receiveTextMessages": false,
"status": "primary",
"valid": true,
"value": "string",
"verified": false
}'Success
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "address": { … }, "affiliation": "self", "authorizedThirdParty": false, "companyId": "string", "contactType": "phone", "externalId": "string", "label": "personal", "name": "string", "object": "contact", "personId": "string", "phoneDisconnectionDetails": { … }, "powerOfAttorney": false, "receiveTextMessages": false, "receiveTextMessagesLastConsentAt": "2019-08-24T14:15:22Z", "status": "primary", "valid": true, "value": "string", "verified": false, "redactedFields": [ … ] } }